/**
 * Client code (Javascript) of PHP PageBox
 * pagebox.js
 * Version 0.01
 * Copyright (c) 2001-2002 Alexis Grandemange
 * Mail: alexis.grandemange@pagebox.net
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version
 * 2.1 of the License.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 * A copy of the GNU Lesser General Public License lesser.txt should be
 * included in the distribution.
 */
/**
 * Unsubscribes a PageBox
 * Used in subscriber.php
 * Parameter:
 * Subscriber URL.
 */
function unsub(url) {
    var frm = document.forms["hiddenUnsub"];
    frm.all["url"].value = url;
    frm.all["isForce"].value = "false";
    frm.submit();
}
/**
 * Forces the unsubscription of a PageBox
 * Used in subscriber.php
 * Parameter:
 * Subscriber URL.
 */
function force(url) {
    var frm = document.forms["hiddenUnsub"];
    frm.all["url"].value = url;
    frm.all["isForce"].value = "true";
    frm.submit();
}
/**
 * Selects a subscriber and invokes asubscribe.php
 * Used in select.php
 * Parameter:
 * Subscriber URL.
 */
function sel(url) {
    window.open('asubscriber.php?Subscriber=' + url);
}
/**
 * Delete an archive
 * Used in publisher.php and in admin.php
 * Parameter:
 * Archive name.
 */
function del(arch) {
    var frm = document.forms["hiddenDel"];
    frm.all["arch"].value = arch;
    frm.all["isForce"].value = "false";
    frm.submit();
}
/**
 * Force the deletion of an archive
 * Used in publisher.php and in admin.php
 * Parameter:
 * Archive name.
 */
function forceDel(arch) {
    var frm = document.forms["hiddenDel"];
    frm.all["arch"].value = arch;
    frm.all["isForce"].value = "true";
    frm.submit();
}
